Index: trunk/gsdl/macros/kazakh.dm
===================================================================
--- trunk/gsdl/macros/kazakh.dm	(revision 10739)
+++ trunk/gsdl/macros/kazakh.dm	(revision 10749)
@@ -651,28 +651,28 @@
 _heighthphrse_ [l=kk] {57}
 
-# -- Missing translation: h_artist
-# -- Missing translation: _httpiconhartist_
-# -- Missing translation: _widthhartist_
-# -- Missing translation: _heighthartist_
-
-# -- Missing translation: h_kw
-# -- Missing translation: _httpiconhkw_
-# -- Missing translation: _widthhkw_
-# -- Missing translation: _heighthkw_
-
-# -- Missing translation: h_vol
-# -- Missing translation: _httpiconhvol_
-# -- Missing translation: _widthhvol_
-# -- Missing translation: _heighthvol_
-
-# -- Missing translation: h_count
-# -- Missing translation: _httpiconhcount_
-# -- Missing translation: _widthhcount_
-# -- Missing translation: _heighthcount_
-
-# -- Missing translation: h_capt
-# -- Missing translation: _httpiconhcapt_
-# -- Missing translation: _widthhcapt_
-# -- Missing translation: _heighthcapt_
+## "ÑÑÑÐµÑÑÑÐ»ÐµÑ" ## green_title ## h_artist ##
+_httpiconhartist_ [l=kk] {_httpimg_/kk/h\_artist.gif}
+_widthhartist_ [l=kk] {200}
+_heighthartist_ [l=kk] {57}
+
+## "ÑÒ¯Ð¹ÑÐœ ÑÓ©Ð·ÐŽÐµÑ" ## green_title ## h_kw ##
+_httpiconhkw_ [l=kk] {_httpimg_/kk/h\_kw.gif}
+_widthhkw_ [l=kk] {200}
+_heighthkw_ [l=kk] {57}
+
+## "Ð±Ð°ÑÐ¿Ð°Ð»Ð°Ñ" ## green_title ## h_vol ##
+_httpiconhvol_ [l=kk] {_httpimg_/kk/h\_vol.gif}
+_widthhvol_ [l=kk] {200}
+_heighthvol_ [l=kk] {57}
+
+## "ÐµÐ»ÐŽÐµÑ" ## green_title ## h_count ##
+_httpiconhcount_ [l=kk] {_httpimg_/kk/h\_count.gif}
+_widthhcount_ [l=kk] {200}
+_heighthcount_ [l=kk] {57}
+
+## "Ð¢Ð°ÒÑÑÑÐ¿ÑÐ°Ð»Ð°Ñ" ## green_title ## h_capt ##
+_httpiconhcapt_ [l=kk] {_httpimg_/kk/h\_capt.gif}
+_widthhcapt_ [l=kk] {200}
+_heighthcapt_ [l=kk] {57}
 
 
@@ -681,9 +681,9 @@
 _httpiconconton_ [l=kk] {_httpimg_/kk/conton.gif}
 
-## "ÐÐÐ ÐÐ«Ò\nÐÓÐ¢ÐÐ" ## document_button ## eallt ##
+## "ÐÐÐ ÐÐ«Ò\n ÐÓÐ¢ÐÐ" ## document_button ## eallt ##
 _httpiconealltof_ [l=kk] {_httpimg_/kk/ealltof.gif}
 _httpiconeallton_ [l=kk] {_httpimg_/kk/eallton.gif}
 
-## "ÐÐ ÐÐ£\nÐÐÐÐÒ°Ð" ## document_button ## econc ##
+## "ÐÐÐÐÒ°ÐÐÐ«\n ÐÐÐ«Ð Ð£" ## document_button ## econc ##
 _httpiconeconcof_ [l=kk] {_httpimg_/kk/econcof.gif}
 _httpiconeconcon_ [l=kk] {_httpimg_/kk/econcon.gif}
@@ -693,17 +693,17 @@
 _httpiconedtchon_ [l=kk] {_httpimg_/kk/edtchon.gif}
 
-## "ÐÐÐ®\nÐÐÐÐÒ°Ð" ## document_button ## eexpc ##
+## "ÐÐÐÐÒ°ÐÐÐ«\nÐ¶Ð°Ñ" ## document_button ## eexpc ##
 _httpiconeexpcof_ [l=kk] {_httpimg_/kk/eexpcof.gif}
 _httpiconeexpcon_ [l=kk] {_httpimg_/kk/eexpcon.gif}
 
-## "ÐÐ ÐÐ£\nÐÓÐ¢ÐÐ" ## document_button ## etsec ##
+## "ÐÓÐ¢ÐÐÐÐ \n ÐÐÐ«Ð Ð£" ## document_button ## etsec ##
 _httpiconetsecof_ [l=kk] {_httpimg_/kk/etsecof.gif}
 _httpiconetsecon_ [l=kk] {_httpimg_/kk/etsecon.gif}
 
-## "ÐÓšÐÐ£\nÐ¡ÐÐÐÐ" ## document_button ## ehl ##
+## "ÐÐÐ¡Ð \nÐÓšÐ Ð¡ÐÐ¢Ð£" ## document_button ## ehl ##
 _httpiconehlof_ [l=kk] {_httpimg_/kk/ehlof.gif}
 _httpiconehlon_ [l=kk] {_httpimg_/kk/ehlon.gif}
 
-## "ÐÓšÐÐ£ÐÐ ÐÐÐ«Ð\nÐ¢ÐÐ¡Ð¢ÐÐ£" ## document_button ## enhl ##
+## "ÐÐÐ¡Ð ÐÓšÐ Ð¡ÐÐ¢Ð£ÐÐ \nÐÐÐ«Ð Ð¢ÐÐ¡Ð¢ÐÐ£" ## document_button ## enhl ##
 _httpiconenhlof_ [l=kk] {_httpimg_/kk/enhlof.gif}
 _httpiconenhlon_ [l=kk] {_httpimg_/kk/enhlon.gif}
@@ -723,6 +723,6 @@
 # 'No matches for query: querystring', depending on whether or not there were
 # any matches
-_textquerytitle_ [l=kk] {_If_(_thislast_,ÐœÓÑÐžÐ¶ÐµÐ»ÐµÑÑ _thisfirst_ - _thislast_ Ð¿ÐŸÐžÑÐºÐ° Ð¿ÐŸ Ð·Ð°Ð¿ÑÐŸÑÑ: _cgiargq_,Ð¡Ò±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑ: _cgiargq_)}
-_textnoquerytitle_ [l=kk] {ÐÓ©ÐŒÐµÐº Ð±ÐµÑÑ}
+_textquerytitle_ [l=kk] {_If_(_thislast_, _cgiargq_ ÑÒ±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑÐŽÑÒ£ ÐœÓÑÐžÐ¶ÐµÐ»ÐµÑÑ: _thisfirst_ - _thislast_ , ÑÒ±ÑÐ°ÐœÑÐŒ Ð±ÐŸÐ¹ÑÐœÑÐ°: _cgiargq_ ÐµÑÑÐµÒ£Ðµ ÑÐ°Ð±ÑÐ»ÒÐ°Ðœ Ð¶ÐŸÒ)}
+_textnoquerytitle_ [l=kk] {ÐÐ·ÐŽÐµÑ Ð¿Ð°ÑÐ°ÒÑ}
 
 _texticonthispage_ [l=kk] {ÐÐ·ÐŽÐµÑ}
@@ -740,32 +740,31 @@
 Ñ}
 
-# -- Missing translation: _textifeellucky_
+_textifeellucky_ [l=kk] {ÐÐµÐœ Ð¶ÐµÒ£ÑÑÑÑ ÑÐµÐ·ÑÐŽÐµÐŒÑÐœ!}
 
 #alt text for query buttons
 _textusequery_ [l=kk] {ÐÑÑ ÑÒ±ÑÐ°ÐœÑÐŒÐŽÑ ÒÐŸÐ»ÐŽÐ°ÐœÑ}
-_textfreqmsg1_ [l=kk] {ÐÐµÐ·ÐŽÐµÑÑ ÑÐ°ÐœÑ: }
-_textpostprocess_ [l=kk] {_If_(_quotedquery_,<br><i>ÑÐ·ÐŽÐµÑ Ò¯ÑÑÐœ Ó©Ò£ÐŽÐµÐ»ÐŽÑ _quotedquery_</i>
-)}
-# -- Missing translation: _textinvalidquery_
-
-_textmorethan_ [l=kk] {ÒÐ°ÑÐ°ÒÐ°ÐœÐŽÐ° Ð°ÑÑÑÒ}
-_textapprox_ [l=kk] {ÐÐ°Ò£ÑÐœÐŽÐ°}
-_textnodocs_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒÐŽÑ ÒÐ°ÐœÐ°ÒÐ°ÑÑÐ°ÐœÐŽÑÑÐ°ÑÑÐœ ÒÒ±Ð¶Ð°ÑÑÐ°Ñ ÑÐ°Ð±ÑÐ»ÐŒÐ°ÐŽÑ.}
+_textfreqmsg1_ [l=kk] {ÐÐµÐ·ÐŽÐµÑÑ ÑÐ°ÐœÑ:}
+_textpostprocess_ [l=kk] {_If_(_quotedquery_,<br><i> _quotedquery_ ÑÐ·ÐŽÐµÑ Ò¯ÑÑÐœ Ó©Ò£ÐŽÐµÐ»ÐŽÑ</i>)}
+_textinvalidquery_ [l=kk] {Ð¡Ò±ÑÐ°Ò ÑÐžÐœÑÐ°ÐºÑÐžÑÑ ÒÐ°ÑÐµ}
+
+_textmorethan_ [l=kk] {ÐºÓ©Ð±ÑÑÐµÐº, ÐœÐµÒÒ±ÑÐ»ÑÐŒ}
+_textapprox_ [l=kk] {Ð¢Ó©Ò£ÑÑÐµÐ³ÑÐœÐŽÐµ}
+_textnodocs_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒÐŽÑ ÒÐ°ÐœÐ°ÒÐ°ÑÑÐ°ÐœÐŽÑÑÐ°ÑÑÐœ ÒÒ±Ð¶Ð°ÑÑÐ°Ñ ÑÐ°Ð±ÑÐ»ÐŒÐ°ÐŽÑ}
 _text1doc_ [l=kk] {1 ÒÒ±Ð¶Ð°Ñ ÑÒ±ÑÐ°ÐœÑÐŒÐŽÑ ÒÐ°ÐœÐ°ÒÐ°ÑÑÐ°ÐœÐŽÑÑÐ°ÐŽÑ.}
 _textlotsdocs_ [l=kk] {ÒÒ±Ð¶Ð°ÑÑÐ°Ñ, ÑÒ±ÑÐ°ÐœÑÐŒÐŽÑ ÒÐ°ÐœÐ°ÒÐ°ÑÑÐ°ÐœÐŽÑÑÐ°ÑÑÐœ.}
-_textmatches_ [l=kk] {ÐÓÑÐžÐ¶ÐµÐ»ÐµÑ }
+_textmatches_ [l=kk] {ÐÓÑÐžÐ¶ÐµÐ»ÐµÑ}
 _textbeginsearch_ [l=kk] {ÐÐ·ÐŽÐµÑÐŽÑ Ð±Ð°ÑÑÐ°Ñ}
 _textrunquery_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒÐŽÑ ÐŸÑÑÐœÐŽÐ°Ñ}
-_textclearform_ [l=kk] {Ð€ÐŸÑÐŒÐ°ÐœÑ ÑÐ°Ð·Ð°Ð»Ð°Ñ}
+_textclearform_ [l=kk] {Ð€ÐŸÑÐŒÐ°ÐœÑ Ð±ÐŸÑÐ°ÑÑ}
 
 #these go together in form search:
 #"Word or phrase  (fold, stem)  ... in field"
 _textwordphrase_ [l=kk] {Ð¡Ó©Ð· ÐœÐµÐŒÐµÑÐµ ÑÑÐ°Ð·Ð°}
-_textinfield_ [l=kk] {... Ð°Ð»Ð°Ò£ÐŽÐ°}
+_textinfield_ [l=kk] {... Ð°Ð»Ð°Ò£ÑÐ°ÐŽÐ°}
 _textfoldstem_ [l=kk] {(ÑÓ©Ð·, ÑÑÐ°Ð·Ð°)}
 
 _textadvquery_ [l=kk] {ÐœÐµÐŒÐµÑÐµ ÑÒ±ÑÐ°ÐœÑÐŒ ÐŒÓÑÑÐœÑÐœ ÐµÐœÐ³ÑÐ·ÑÒ£ÑÐ·:}
-_textallfields_ [l=kk] {Ð±Ð°ÑÐ»ÑÒ Ð°Ð»Ð°Ò£ÐŽÐ°Ñ}
-# -- Missing translation: _texttextonly_
+_textallfields_ [l=kk] {Ð±Ð°ÑÐ»ÑÒ Ð°Ð»Ð°Ò£ÑÐ°ÑÑ}
+_texttextonly_ [l=kk] {ÑÐµÐº ÐŒÓÑÑÐœ}
 _textand_ [l=kk] {Ð¶ÓÐœÐµ}
 _textor_ [l=kk] {ÐœÐµÐŒÐµÑÐµ}
@@ -776,41 +775,40 @@
 # unset
 
-_textsimplesearch_ [l=kk] {ÐÐ·ÐŽÐµÑ Ð¿ÐŸ _indexselection_ _If_(_jselection_, of _jselection_) _If_(_gselection_, ÐŽÐµÒ£Ð³ÐµÐ¹ _gselection_ Ð±ÐŸÐ¹ÑÐœÑÐ°) _If_(_nselection_, ÑÑÐ»ÑÐœÐŽÐµ  _nselection_  ),ÑÓ©Ð·ÐŽÐµÑÐŽÐµÐœ _querytypeselection_ ÑÒ±ÑÐ°ÑÑÐœ}
-
-_textadvancedsearch_ [l=kk] {ÐÐ·ÐŽÐµÑ _indexselection_ _If_(_jselection_, of _jselection_) _If_(_gselection_, ÐŽÐµÒ£Ð³ÐµÐ¹ _gselection_ Ð±ÐŸÐ¹ÑÐœÑÐ°)_If_(_nselection_, ÑÑÐ»ÑÐœÐŽÐµ_nselection_ )  ÑÒ±ÑÐ°ÐœÑÐŒÐŽÑ  _querytypeselection_ ÒÐŸÐ»ÐŽÐ°ÐœÑÐ¿}
-
-_textformsimplesearch_ [l=kk] {ÐÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑ _If_(_jselection_, _jselection_) _If_(_gformselection_, ÐŽÐµÒ£Ð³ÐµÐ¹ _gformselection_ Ð±ÐŸÐ¹ÑÐœÑÐ°)_If_(_nselection_, ÑÑÐ»ÑÐœÐŽÐµ _nselection_ )
-,Ð±Ð°Ñ Ð¶ÐµÑÑ _formquerytypeselection_ }
-
-_textformadvancedsearch_ [l=kk] {ÐÐ·ÐŽÐµÑ _If_(_jselection_,_jselection_) _If_(_gformselection_, ÐŽÐµÒ£Ð³ÐµÐ¹ _gformselection_ Ð±ÐŸÐ¹ÑÐœÑÐ°)_If_(_nselection_, ÑÑÐ»ÑÐœÐŽÐµ _nselection_ ) 
-Ð¶ÓÐœÐµ ÑÐµÑÑ Ð±ÐŸÐ¹ÑÐœÑÐ° Ð±ÐµÐ¹ÐœÐµÐ»ÐµÑ _formquerytypeselection_}
-
-
-# -- Missing translation: _textnojsformwarning_
-_textdatesearch_ [l=kk] {ÐÐµÑÑÐ»Ð³ÐµÐœ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÐŽÐ° ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ Ð±ÐµÐ»Ð³ÑÐ»Ñ Ð±ÑÑ ÑÐ°ÒÑÑ Ð°ÑÐ°Ð»ÑÒÑ Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑÐŒÐµÐœ ÒÐ°ÑÐ°Ñ ÐœÐ°ÒÑÑ ÑÐ°ÐœÐŽÑÒ ÐŽÐ°ÑÐ° Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÐ»ÑÐœÐµ Ð°Ð»Ð°ÐŽÑ.}
-_textstartdate_ [l=kk] {ÐÐ°ÑÑÐ°Ð¿ÒÑ (ÐœÐµÐŒÐµÑÐµ ÐœÐ°ÒÑÑ) ÐŽÐ°ÑÐ°:}
-_textenddate_ [l=kk] {Ð¡ÐŸÒ£ÒÑ ÐŽÐ°ÑÐ°:}
-_textbc_ [l=kk] {Ð.Ñ. ÐŽÐµÐ¹ÑÐœ}
+_textsimplesearch_ [l=kk] {_indexselection_ _If_(_jselection_, of _jselection_) _If_(_gselection_, _gselection_ ÐŽÐµÒ£Ð³ÐµÐ¹ÑÐœÐŽÐµ) _If_(_nselection_, _nselection_ ÑÑÐ»ÑÐœÐŽÐµ) Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑ, _querytypeselection_ ÑÓ©Ð·ÐŽÐµÑÐŽÐµÐœ ÑÒ±ÑÐ°ÑÑÐœ}
+
+_textadvancedsearch_ [l=kk] { _indexselection_ _If_(_jselection_, of _jselection_) _If_(_gselection_, _gselection_ ÐŽÐµÒ£Ð³ÐµÐ¹ÐŽÐµ)_If_(_nselection_, _nselection_ ÑÑÐ»ÑÐœÐŽÐµ) ÑÐ·ÐŽÐµÑ, _querytypeselection_ ÑÒ±ÑÐ°ÐœÑÐŒÐŽÑ ÒÐŸÐ»ÐŽÐ°ÐœÑÐ¿}
+
+_textformsimplesearch_ [l=kk] {_If_(_jselection_, _jselection_) _If_(_gformselection_,  _gformselection_ ÐŽÐµÒ£Ð³ÐµÐ¹ÐŽÐµ) _If_(_nselection_, _nselection_ ÑÑÐ»ÑÐœÐŽÐµ) Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑ, _formquerytypeselection_ Ð±Ð°Ñ Ð¶ÐµÑÑÐœÐŽÐµ}
+
+_textformadvancedsearch_ [l=kk] { _If_(_jselection_,_jselection_) _If_(_gformselection_, _gformselection_ ÐŽÐµÒ£Ð³ÐµÐ¹ Ð±ÐŸÐ¹ÑÐœÑÐ°)_If_(_nselection_, _nselection_ ÑÑÐ»ÑÐœÐŽÐµ) ÑÐ·ÐŽÐµÑ Ð¶ÓÐœÐµ 
+_formquerytypeselection_ ÑÐµÑÑ Ð±ÐŸÐ¹ÑÐœÑÐ° ÐºÓ©ÑÑÐµÑÑ }
+
+
+_textnojsformwarning_ [l=kk] {ÐÑÐºÐµÑÑÑ: Ð¡ÑÐ·ÐŽÑÒ£ Ð²ÐµÐ±-Ð±ÑÐ°ÑÐ·ÐµÑÑÒ£ÑÐ·ÐŽÐµ Javascript Ð·Ð°ÒÑÐŒÐŽÐ°ÐœÒÐ°Ðœ. <br>ÐÐ·ÐŽÐµÑ ÑÐŸÑÐŒÐ°ÑÑÐœ Ð¿Ð°Ð¹ÐŽÐ°Ð»Ð°ÐœÑ Ò¯ÑÑÐœ Ð±Ò±ÒÐ°Ðœ ÑÒ±ÒÑÐ°Ñ ÒÐ°Ð¶ÐµÑ.}
+_textdatesearch_ [l=kk] {ÐÒ±Ð» ÐÐžÐœÐ°ÒÑÐ° ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ Ð°ÐœÑÒÑÐ°Ð»ÒÐ°Ðœ ÐŒÐµÑÐ·ÑÐŒÑ ÑÐµÒ£Ð±ÐµÑÑ Ð¶ÓÐœÐµ ÐœÐ°ÒÑÑ ÐºÓ©ÑÑÐµÑÐºÐµÐœ ÑÐ°ÒÑÑÑ Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑÑÑÑÑÐ³ÐµÑ Ð±ÐŸÐ»Ð°ÐŽÑ.}
+_textstartdate_ [l=kk] {ÐÐ°ÑÑÐ°Ð¿ÒÑ (ÐœÐµÐŒÐµÑÐµ ÐœÐ°ÒÑÑ) ÐŒÐµÑÐ·ÑÐŒ:}
+_textenddate_ [l=kk] {Ð¡ÐŸÒ£ÒÑ ÐŒÐµÑÐ·ÑÐŒÑ}
+_textbc_ [l=kk] {Ð±.Ñ.ÐŽ.}
 _textad_ [l=kk] {Ð±.Ñ.}
-_textexplaineras_ [l=kk] {Ð.Ñ. Ð¶ÓÐœÐµ Ð±.Ñ. ÐŽÐµÐ¹ÑÐœ ÑÐµÑÐŒÐžÐœÐŽÐµÑÑ âÐ±ÑÐ·ÐŽÑÒ£ ÑÑÐ°ÐŒÑÐ·â Ð¶ÓÐœÐµ âÐ±ÑÐ·ÐŽÑÒ£ ÑÑÐ°ÐŒÑÐ·ÒÐ° ÐŽÐµÐ¹ÑÐœâ ÐŽÑ Ð±ÑÐ»ÐŽÑÑÐµÐŽÑ}
+_textexplaineras_ [l=kk] {Ð.Ñ. Ð¶ÓÐœÐµ Ð±.Ñ.ÐŽ. Ð¢ÐµÑÐŒÐžÐœÐŽÐµÑÑ "Ð±ÑÐ·ÐŽÑÒ£ ÑÑÐ°ÐŒÑÐ·" Ð¶ÓÐœÐµ "Ð±ÑÐ·ÐŽÑÒ£ ÑÑÐ°ÐŒÑÐ·ÒÐ° ÐŽÐµÐ¹ÑÐœ"-ÐŽÑ Ð±ÑÐ»ÐŽÑÑÐµÐŽÑ}
 
 _textstemon_ [l=kk] {(ÑÓ©Ð· Ð¶Ð°Ð»ÒÐ°ÑÐ»Ð°ÑÑÐœ ÐµÐ»ÐµÐŒÐµÑ)}
 
-_textsearchhistory_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
+_textsearchhistory_ [l=kk] {ÐÐ·ÐŽÐµÑ ÑÐ°ÑÐžÑ
 Ñ}
 
 #text macros for search history
-_textnohistory_ [l=kk] {ÒÐ°Ð·ÑÑÐ³Ñ ÐºÐµÐ·ÐŽÐµ ÑÒ±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
-Ñ Ð¶ÐŸÒ}
+_textnohistory_ [l=kk] {ÓÐ·ÑÑÑÐµ ÑÒ±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
+Ñ ÒÐ°Ð»ÑÐ¿ÑÐ°ÑÒÐ°Ðœ Ð¶ÐŸÒ}
 _texthresult_ [l=kk] {ÐºÐµÐ·ÐŽÐµÑÑÑ}
 _texthresults_ [l=kk] {ÐºÐµÐ·ÐŽÐµÑÑÐ»ÐµÑ}
-_texthallwords_ [l=kk] {Ð±Ð°ÑÐ»ÑÒ ÑÓ©Ð·ÐŽÐµÑ}
+_texthallwords_ [l=kk] {ÑÓ©Ð·ÐŽÐµÑÐŽÑÒ£ Ð±Ð°ÑÐ»ÑÒÑ}
 _texthsomewords_ [l=kk] {ÐºÐµÐ¹Ð±ÑÑ ÑÓ©Ð·ÐŽÐµÑ}
-_texthboolean_ [l=kk] {Ð»ÐŸÐ³ÐžÑÐµÑÐºÐ°Ð»ÑÒ}
+_texthboolean_ [l=kk] {Ð»ÐŸÐ³ÐžÐºÐ°Ð»ÑÒ}
 _texthranked_ [l=kk] {ÑÐµÑÑÐµÐ»Ð³ÐµÐœ}
 _texthcaseon_ [l=kk] {ÑÐµÐ³ÐžÑÑÑÐŽÑ ÐµÑÐºÐµÑÐµ ÐŸÑÑÑÑÐ¿}
 _texthcaseoff_ [l=kk] {ÑÐµÐ³ÐžÑÑÑÐŽÑ ÐµÑÐºÐµÑÐŒÐµÐ¹}
-_texthstemon_ [l=kk] {Ð¶Ð°Ð»ÒÐ°ÑÐ»Ð°ÑÑÐŒÐµÐœ}
-_texthstemoff_ [l=kk] {Ð¶Ð°Ð»ÒÐ°ÑÐ»Ð°ÑÑÑÐ·}
+_texthstemon_ [l=kk] {Ð¶Ð°Ð»ÒÐ°ÑÐŒÐµÐœ}
+_texthstemoff_ [l=kk] {Ð¶Ð°Ð»ÒÐ°ÑÑÑÐ·}
 
 #------------------------------------------------------------
@@ -829,5 +827,5 @@
 
 ## "ÑÐ°ÑÐžÑ
-" ## green_bar_left_aligned ## schhistb ##
+Ñ" ## green_bar_left_aligned ## schhistb ##
 _httpiconsrchhistb_ [l=kk] {_httpimg_/kk/schhistb.gif}
 _widthsrchhistb_ [l=kk] {_pagewidth_}
@@ -845,27 +843,27 @@
 #------------------------------------------------------------
 
-# -- Missing translation: _textprefschanged_
-# -- Missing translation: _textsetprefs_
-_textsearchprefs_ [l=kk] {ÐÐ·ÐŽÐµÑÐŽÑÒ£ ÐºÒ¯Ð¹ÑÐœÐµ ÐºÐµÐ»ÑÑÑÑÐ»ÐµÑÑ}
-_textcollectionprefs_ [l=kk] {ÐÐŸÐ»Ð»ÐµÐºÑÐžÑÐœÑÒ£ ÐºÒ¯Ð¹ÑÐœÐµ ÐºÐµÐ»ÑÑÑÑÐ»ÐµÑÑ}
-_textpresentationprefs_ [l=kk] {ÐÐœÑÐµÑÑÐµÐ¹ÑÑÑÒ£ ÐºÒ¯Ð¹ÑÐœÐµ ÐºÐµÐ»ÑÑÑÑÐ»ÐµÑÑ}
-_textpreferences_ [l=kk] {ÐÒ¯Ð¹ÑÐœÐµ ÐºÐµÐ»ÑÑÑÑÐ»ÐµÑ}
+_textprefschanged_ [l=kk] {ÐÑÑÑÒÑÑÐ»ÑÒÑ Ð±ÑÐ»Ð°Ð¹ÑÐ° Ð±ÐµÑÑÐ»ÐŽÑ. Ð¡ÑÐ·ÐŽÑÒ£ Ð±ÑÐ°ÑÐ·ÐµÑÑÒ£ÑÐ·ÐŽÐµÐ³Ñ "back" Ð±Ð°ÑÑÑÐŒÐ°ÑÑÐœ Ð¿Ð°Ð¹ÐŽÐ°Ð»Ð°ÐœÐ±Ð°Ò£ÑÐ· - Ð±Ò±Ð» ÐŸÐœÑ Ð¶ÐŸÐ¹ÑÐ¿ Ð¶ÑÐ±ÐµÑÐµÐŽÑ! ÐÑÐœÑÐœÐ° ÐµÐœÑ ÑÑÐ·ÑÒÑÐœÑÒ£ Ò¯ÑÑÑÐœÐŽÐµÐ³Ñ Ð±Ð°ÑÑÑÐŒÐ°ÐœÑÒ£ ÐºÐµÐ·-ÐºÐµÐ»Ð³ÐµÐœÑÐœ Ð±Ð°ÑÑÒ£ÑÐ·.}
+_textsetprefs_ [l=kk] {Ð°ÑÑÑÒÑÑÐ»ÑÒÑÐœ Ð±ÐµÐ»Ð³ÑÐ»ÐµÑ}
+_textsearchprefs_ [l=kk] {ÐÐ·ÐŽÐµÑ ÑÐ°ÑÑÑÐ°ÑÑ}
+_textcollectionprefs_ [l=kk] {ÐÐžÐœÐ°ÒÑÑ ÐžÐºÐµÐŒÐŽÐµÑ}
+_textpresentationprefs_ [l=kk] {ÐÐœÑÐµÑÑÐµÐ¹Ñ ÐžÐºÐµÐŒÐŽÐµÑ}
+_textpreferences_ [l=kk] {ÐÐºÐµÐŒÐŽÐµÑ}
 _textcasediffs_ [l=kk] {Ð ÐµÐ³ÐžÑÑÑÐ»ÐµÑ:}
-_textignorecase_ [l=kk] {ÑÐµÐ³ÐžÑÑÑÐ»ÐµÑÐŽÑ ÐµÐ»ÐµÐŒÐµÑ}
+_textignorecase_ [l=kk] {ÑÐµÐ³ÐžÑÑÑÐ»ÐµÑÐŽÑ ÐµÑÐºÐµÑÐŒÐµÑ}
 _textmatchcase_ [l=kk] {Ð¶ÐŸÒÐ°ÑÒÑ Ð¶ÓÐœÐµ ÑÓ©ÐŒÐµÐœÐ³Ñ ÑÐµÐ³ÐžÑÑÑÐ»ÐµÑÐŽÑ ÒÐŸÐ»ÐŽÐ°ÐœÑ}
 _textwordends_ [l=kk] {Ð¡Ó©Ð·ÐŽÐµÑÐŽÑÒ£ Ð¶Ð°Ð»ÒÐ°ÑÐ»Ð°ÑÑ:}
-_textstem_ [l=kk] {ÑÓ©Ð·ÐŽÐµÑÐŽÑÒ£ Ð¶Ð°Ð»ÒÐ°ÑÐ»Ð°ÑÑÐœ ÐµÐ»ÐµÐŒÐµÑ}
+_textstem_ [l=kk] {ÑÓ©Ð·ÐŽÐµÑÐŽÑÒ£ Ð¶Ð°Ð»ÒÐ°ÑÐ»Ð°ÑÑÐœ ÐµÑÐºÐµÑÐŒÐµÑ}
 _textnostem_ [l=kk] {Ð¶Ð°Ð»ÒÐ°ÑÑ Ð±Ð°Ñ ÑÓ©Ð·ÐŽÐµÑÐŽÑ ÒÐŸÐ»ÐŽÐ°ÐœÑ}
-_textprefop_ [l=kk] {ÐÓ©ÑÑÐµÑÑ _maxdocoption_ ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ â ÑÐ·ÐŽÐµÑ ÐœÓÑÐžÐ¶ÐµÐ»ÐµÑÑÐœ  _hitsperpageoption_ Ð±ÐµÑÑÐµ ÒÒ±Ð¶Ð°ÑÑÐ°Ðœ.}
-_textextlink_ [l=kk] {Web-ÑÑÒ£ ÑÑÑÑÒÑ ÑÒ¯Ð¹ÑÐœÐŽÐµÑÑÐœÐµ ÐµÐœÑ}
-_textintlink_ [l=kk] {ÐÒ±Ð» ÒÒ±Ð¶Ð°Ñ Ð°Ð»ÑÐœÒÐ°Ðœ Ð¶ÐµÑ:}
+_textprefop_ [l=kk] { _maxdocoption_ ÒÒ±Ð¶Ð°ÑÑÐ°ÑÑÐœ â ÑÐ·ÐŽÐµÑ ÐœÓÑÐžÐ¶ÐµÐ»ÐµÑÑÐœ ÐºÓ©ÑÑÐµÑÑ,   _hitsperpageoption_ ÒÒ±Ð¶Ð°ÑÑÐ°Ðœ Ð±ÑÑ Ð¿Ð°ÑÐ°ÒÑÐ°.}
+_textextlink_ [l=kk] {Ð¡ÑÑÑÒÑ Web-ÑÐŸÑÐ°Ð±ÑÐœÐ° ÐµÐœÑ:}
+_textintlink_ [l=kk] {ÐÒ±Ð» ÒÒ±Ð¶Ð°Ñ Ð°Ð»ÑÐœÒÐ°Ðœ ÐŸÑÐœÑ:}
 _textlanguage_ [l=kk] {ÐÐœÑÐµÑÑÐµÐ¹Ñ ÑÑÐ»Ñ:}
-_textencoding_ [l=kk] {ÐÐŸÐŽÐžÑÐŸÐ²ÐºÐ°:}
-_textformat_ [l=kk] {ÐžÐœÑÐµÑÑÐµÐ¹Ñ ÑÐŸÑÐŒÐ°ÑÑ:}
+_textencoding_ [l=kk] {ÐÐŸÐŽÑÐ°ÐŒÐ°ÑÑ:}
+_textformat_ [l=kk] {ÐÐœÑÐµÑÑÐµÐ¹Ñ ÑÐŸÑÐŒÐ°ÑÑ:}
 _textall_ [l=kk] {Ð±Ð°ÑÐ»ÑÒÑ}
-_textquerymode_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒ ÑÐžÐ¿Ñ:}
+_textquerymode_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒ ÑÒ¯ÑÑ:}
 _textsimplemode_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒÐœÑÒ£ ÒÐ°ÑÐ°Ð¿Ð°Ð¹ÑÐŒ ÑÒ¯ÑÑ}
-_textadvancedmode_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒÐœÑÒ£ ÐºÐµÒ£ÐµÐ¹ÑÑÐ»Ð³ÐµÐœ ÑÒ¯ÑÑ (! (ÐÐÐÐ¡) , & (ÐÓÐÐ), | (ÐÐÐÐÐ¡Ð) Ð¶ÓÐœÐµ Ð¶Ð°ÒÑÐ°Ð»Ð°Ñ) Ð°ÐŒÐ°Ð»ÐŽÐ°ÑÑ ÐŒÐµÐœ Ð»ÐŸÐ³ÐžÐºÐ°Ð»ÑÒ ÑÐ·ÐŽÐµÑ ÑÒ±ÒÑÐ°Ñ ÐµÑÑÐ»Ð³ÐµÐœ}
-_textlinkinterm_ [l=kk] {Ð°ÑÐ°Ð»ÑÒ Ð±ÐµÑ Ð°ÑÒÑÐ»Ñ}
+_textadvancedmode_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒÐœÑÒ£ ÐºÐµÒ£ÐµÐ¹ÑÑÐ»Ð³ÐµÐœ ÑÒ¯ÑÑ (! (ÐÐÐÐ¡) , & (ÐÓÐÐ), | (ÐÐÐÐÐ¡Ð) Ð¶ÓÐœÐµ Ð¶Ð°ÒÑÐ°Ð»Ð°Ñ Ð°ÐŒÐ°Ð»ÐŽÐ°ÑÑÐŒÐµÐœ Ð»ÐŸÐ³ÐžÐºÐ°Ð»ÑÒ ÑÐ·ÐŽÐµÑ ÑÒ±ÒÑÐ°Ñ ÐµÑÑÐ»Ð³ÐµÐœ}
+_textlinkinterm_ [l=kk] {Ð°ÑÐ°Ð»ÑÒ Ð¿Ð°ÑÐ°Ò Ð°ÑÒÑÐ»Ñ}
 _textlinkdirect_ [l=kk] {ÑÑÐºÐµÐ»ÐµÐ¹ Ó©ÑÑ}
 _textdigitlib_ [l=kk] {ÑÐ»ÐµÐºÑÑÐŸÐœÐŽÑÒ ÐºÑÑÐ°Ð¿Ñ
@@ -874,29 +872,30 @@
 _textgraphical_ [l=kk] {ÐÑÐ°ÑÐžÐºÐ°Ð»ÑÒ}
 _texttextual_ [l=kk] {ÐÓÑÑÐœÐŽÑÐº}
-_textcollectionoption_ [l=kk] {<p> ÒÐŸÐ»ÐŽÐ°ÐœÑÒÐ° Ð°ÑÐœÐ°Ð»ÒÐ°Ðœ ÑÑÐºÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÐ»Ð°Ñ: <br>}
-
-_textrelateddocdisplay_ [l=kk] {Ò±ÒÑÐ°Ñ ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ Ð±ÐµÐ¹ÐœÐµÐ»ÐµÑ}
+_textcollectionoption_ [l=kk] {<p> ÒÐŸÐ»ÐŽÐ°ÐœÑÒÐ° Ð°ÑÐœÐ°Ð»ÒÐ°Ðœ ÑÑÐºÑ Ð¶ÐžÐœÐ°ÒÑÐ°Ñ: <br>}
+
+_textrelateddocdisplay_ [l=kk] {Ò±ÒÑÐ°Ñ ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ ÐºÓ©ÑÑÐµÑÑ }
 _textsearchhistory_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
 Ñ:}
-# -- Missing translation: _textnohistory_
-_texthistorydisplay_ [l=kk] {ÑÒ±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
-ÑÐœ _historynumrecords_ Ð±ÐµÐ¹ÐœÐµÐ»ÐµÑ Ð·Ð°Ð¿ÑÐŸÑÐ°}
+_textnohistory_ [l=kk] {Ð¡Ò±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
+ÑÐœÑÒ£ Ð¶ÐŸÒÑÑÒÑ}
+_texthistorydisplay_ [l=kk] {_historynumrecords_ ÑÒ±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
+ÑÐœ ÐºÓ©ÑÑÐµÑÑ}
 _textnohistorydisplay_ [l=kk] {ÑÒ±ÑÐ°ÐœÑÐŒ ÑÐ°ÑÐžÑ
-ÑÐœ Ð±ÐµÐ¹ÐœÐµÐ»ÐµÐŒÐµÑ}
+ÑÐœ ÐºÓ©ÑÑÐµÑÐ¿ÐµÑ}
 
 #_texttypesearch_ {Type of search:}
 #_texttextsearch_ {text search}
-_textformsearch_ [l=kk] {ÑÐŸÑÐŒÐ° Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑ}
-# -- Missing translation: _textplainsearch_
-_textqueryboxsize_ [l=kk] {ÐÐ·ÐŽÐµÑÐ³Ðµ Ð°ÑÐœÐ°Ð»ÒÐ°Ðœ Ð¢ÐµÑÐµÐ·Ðµ Ó©Ð»ÑÐµÐŒÑ :}
+_textformsearch_ [l=kk] {Ð€ÐŸÑÐŒÐ° Ð±ÐŸÐ¹ÑÐœÑÐ° ÑÐ·ÐŽÐµÑ}
+_textplainsearch_ [l=kk] {ÒÐ°ÑÐ°Ð¿Ð°Ð¹ÑÐŒ ÑÐ·ÐŽÐµÑ:}
+_textqueryboxsize_ [l=kk] {ÐÐ·ÐŽÐµÑÐ³Ðµ Ð°ÑÐœÐ°Ð»ÒÐ°Ðœ ÑÐµÑÐµÐ·Ðµ Ó©Ð»ÑÐµÐŒÑ:}
 _textregbox_ [l=kk] {ÑÐ·ÐŽÐµÑÐ³Ðµ Ð°ÑÐœÐ°Ð»ÒÐ°Ðœ ÓÐŽÐµÑÑÐµÐ³Ñ ÑÐµÑÐµÐ·Ðµ}
 _textbigbox_ [l=kk] {ÑÐ·ÐŽÐµÑÐ³Ðµ Ð°ÑÐœÐ°Ð»ÒÐ°Ðœ Ò¯Ð»ÐºÐµÐœ ÑÐµÑÐµÐ·Ðµ}
-_textformtype_ [l=kk] {Ð€ÐŸÑÐŒÐ° ÑÐžÐ¿Ñ:}
+_textformtype_ [l=kk] {Ð€ÐŸÑÐŒÐ°ÐœÑÒ£ ÑÒ¯ÑÑ:}
 _textsimple_ [l=kk] {ÒÐ°ÑÐ°Ð¿Ð°Ð¹ÑÐŒ}
 _textadvanced_ [l=kk] {ÐºÐµÒ£ÐµÐ¹ÑÑÐ»Ð³ÐµÐœ}
 
 # used in "with 4 fields" in the form search box
-_textwith_ [l=kk] {ÐœÐ°Ðœ}
-_textfields_ [l=kk] {Ð°Ð»Ð°Ò£ÐŽÐ°Ñ}
+_textwith_ [l=kk] {ÑÑÑÐœÐµÐœ}
+_textfields_ [l=kk] {Ð°Ð»Ð°Ò£ÑÐ°}
 
 
@@ -905,5 +904,5 @@
 #------------------------------------------------------------
 
-## "ÐºÒ¯Ð¹ÑÐœÐµ ÐºÐµÐ»ÑÑÑÑÐ»ÐµÑ" ## green_title ## h_pref ##
+## "ÐÐºÐµÐŒÐŽÐµÑ" ## green_title ## h_pref ##
 _httpiconhpref_ [l=kk] {_httpimg_/kk/h\_pref.gif}
 _widthhpref_ [l=kk] {200}
@@ -915,19 +914,19 @@
 #####################################################################
 
-# -- Missing translation: _textsortby_
-# -- Missing translation: _textalsoshowing_
-# -- Missing translation: _textwith_
-# -- Missing translation: _textdocsperpage_
-
-# -- Missing translation: _textfilterby_
-# -- Missing translation: _textall_
-# -- Missing translation: _textany_
-# -- Missing translation: _textwords_
-# -- Missing translation: _textleaveblank_
-
-# -- Missing translation: _browsebuttontext_
-
-# -- Missing translation: _nodata_
-# -- Missing translation: _docs_
+_textsortby_ [l=kk] {Ð±ÐŸÐ¹ÑÐœÑÐ° ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ ÑÒ±ÑÑÐ¿ÑÐ°Ñ}
+_textalsoshowing_ [l=kk] {ÒÐŸÑÑÐŒÑÐ° ÐºÓ©ÑÑÐµÑÑ}
+_textwith_ [l=kk] {ÐµÒ£ Ò¯Ð»ÐºÐµÐœÑÐŒÐµÐœ}
+_textdocsperpage_ [l=kk] {Ð¿Ð°ÑÐ°ÒÑÐ°ÒÑ ÒÒ±Ð¶Ð°ÑÑÐ°Ñ}
+
+_textfilterby_ [l=kk] {ÐŒÐ°Ð·ÐŒÒ±ÐœÐŽÐ°ÒÑ ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ Ð°Ð»Ñ}
+_textall_ [l=kk] {Ð±Ð°ÑÐ»ÑÒÑ}
+_textany_ [l=kk] {ÐºÐµÐ·-ÐºÐµÐ»Ð³ÐµÐœÑ}
+_textwords_ [l=kk] {ÑÓ©Ð·ÐŽÐµÑÐŽÐµÐœ}
+_textleaveblank_ [l=kk] {ÐÐ°ÑÐ»ÑÒ ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑ Ð°Ð»Ñ Ò¯ÑÑÐœ, ÐŸÑÑ Ð¶ÓÑÑÐºÑÑ Ð±ÐŸÑ ÒÐ°Ð»ÐŽÑÑÑ}
+
+_browsebuttontext_ [l=kk] {"ÒÒ±Ð¶Ð°Ñ ÑÒ¯ÑÑ"}
+
+_nodata_ [l=kk] {<i>ÐŒÓÐ»ÑÐŒÐµÑ Ð¶ÐŸÒ</i>}
+_docs_ [l=kk] {ÒÒ±Ð¶Ð°ÑÑÐ°Ñ}
 ######################################################################
 # 'help' page -- this is lower priority for translating than the
